Skip to content

Verify sender for project
GA

Request

Verify sender with the OTP received after triggering registration.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

Bodyapplication/jsonrequired

Sender verification data

codestring, (otp)

OTP code used for sender verification. Must be exactly 6 characters with no spaces. Not required if the sender number is already verified by Meta.

Example:"123456"

Example body request to verify a sender.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}/verify' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "code": "123456"
  }'

Responses

Sender verified

Response
No content
We'd love to hear from you!
Rate this content: